package com.mx.dla.dda.admin.catalogos.pais.bos;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.mx.dla.dda.admin.catalogos.pais.daos.CatalogoPaisDAO;
import com.mx.dla.dda.admin.catalogos.pais.dtos.CatalogoPaisDTO;

@Service
public class CatalogoPaisBO {

	@Autowired
	private CatalogoPaisDAO catalogoPaisDAO;
	
	public List<CatalogoPaisDTO> getCatalogoPais(){
		return catalogoPaisDAO.getCatalogoPais();
	}	
	
	public CatalogoPaisDTO getPaisPorId( int id){
		return catalogoPaisDAO.getPaisPorId(id);
	}
	
	public void updatePais(CatalogoPaisDTO  pais){
		catalogoPaisDAO.updatePais(pais);
	}
	
	public void guardarPais(CatalogoPaisDTO pais){
		catalogoPaisDAO.guardarPais(pais);
	}
	
}
